summaryrefslogtreecommitdiff
path: root/dev-go
diff options
context:
space:
mode:
authorRobin H. Johnson <robbat2@gentoo.org>2015-08-08 13:49:04 -0700
committerRobin H. Johnson <robbat2@gentoo.org>2015-08-08 17:38:18 -0700
commit56bd759df1d0c750a065b8c845e93d5dfa6b549d (patch)
tree3f91093cdb475e565ae857f1c5a7fd339e2d781e /dev-go
downloadgentoo-56bd759df1d0c750a065b8c845e93d5dfa6b549d.tar.gz
gentoo-56bd759df1d0c750a065b8c845e93d5dfa6b549d.tar.bz2
gentoo-56bd759df1d0c750a065b8c845e93d5dfa6b549d.zip
proj/gentoo: Initial commit
This commit represents a new era for Gentoo: Storing the gentoo-x86 tree in Git, as converted from CVS. This commit is the start of the NEW history. Any historical data is intended to be grafted onto this point. Creation process: 1. Take final CVS checkout snapshot 2. Remove ALL ChangeLog* files 3. Transform all Manifests to thin 4. Remove empty Manifests 5. Convert all stale $Header$/$Id$ CVS keywords to non-expanded Git $Id$ 5.1. Do not touch files with -kb/-ko keyword flags. Signed-off-by: Robin H. Johnson <robbat2@gentoo.org> X-Thanks: Alec Warner <antarus@gentoo.org> - did the GSoC 2006 migration tests X-Thanks: Robin H. Johnson <robbat2@gentoo.org> - infra guy, herding this project X-Thanks: Nguyen Thai Ngoc Duy <pclouds@gentoo.org> - Former Gentoo developer, wrote Git features for the migration X-Thanks: Brian Harring <ferringb@gentoo.org> - wrote much python to improve cvs2svn X-Thanks: Rich Freeman <rich0@gentoo.org> - validation scripts X-Thanks: Patrick Lauer <patrick@gentoo.org> - Gentoo dev, running new 2014 work in migration X-Thanks: Michał Górny <mgorny@gentoo.org> - scripts, QA, nagging X-Thanks: All of other Gentoo developers - many ideas and lots of paint on the bikeshed
Diffstat (limited to 'dev-go')
-rw-r--r--dev-go/go-crypto/Manifest1
-rw-r--r--dev-go/go-crypto/go-crypto-0_pre20150608.ebuild61
-rw-r--r--dev-go/go-crypto/go-crypto-9999.ebuild39
-rw-r--r--dev-go/go-crypto/metadata.xml10
-rw-r--r--dev-go/go-eapache-queue/Manifest1
-rw-r--r--dev-go/go-eapache-queue/go-eapache-queue-1.0.2.ebuild58
-rw-r--r--dev-go/go-eapache-queue/go-eapache-queue-9999.ebuild25
-rw-r--r--dev-go/go-eapache-queue/metadata.xml10
-rw-r--r--dev-go/go-net/Manifest1
-rw-r--r--dev-go/go-net/go-net-0_pre20150604.ebuild57
-rw-r--r--dev-go/go-net/go-net-9999.ebuild34
-rw-r--r--dev-go/go-net/metadata.xml10
-rw-r--r--dev-go/go-oauth2/Manifest2
-rw-r--r--dev-go/go-oauth2/go-oauth2-0_pre20150527.ebuild58
-rw-r--r--dev-go/go-oauth2/go-oauth2-9999.ebuild25
-rw-r--r--dev-go/go-oauth2/metadata.xml10
-rw-r--r--dev-go/go-protobuf/Manifest1
-rw-r--r--dev-go/go-protobuf/go-protobuf-0_pre20150727.ebuild60
-rw-r--r--dev-go/go-protobuf/go-protobuf-9999.ebuild31
-rw-r--r--dev-go/go-protobuf/metadata.xml10
-rw-r--r--dev-go/go-resiliency/Manifest1
-rw-r--r--dev-go/go-resiliency/go-resiliency-1.0.0.ebuild58
-rw-r--r--dev-go/go-resiliency/go-resiliency-9999.ebuild25
-rw-r--r--dev-go/go-resiliency/metadata.xml10
-rw-r--r--dev-go/go-snappy/Manifest1
-rw-r--r--dev-go/go-snappy/go-snappy-0_pre20150729.ebuild59
-rw-r--r--dev-go/go-snappy/go-snappy-9999.ebuild26
-rw-r--r--dev-go/go-snappy/metadata.xml10
-rw-r--r--dev-go/go-spew/Manifest1
-rw-r--r--dev-go/go-spew/go-spew-0_pre20150619.ebuild59
-rw-r--r--dev-go/go-spew/go-spew-9999.ebuild26
-rw-r--r--dev-go/go-spew/metadata.xml10
-rw-r--r--dev-go/go-sys/Manifest1
-rw-r--r--dev-go/go-sys/go-sys-0_pre20150518.ebuild52
-rw-r--r--dev-go/go-sys/go-sys-9999.ebuild25
-rw-r--r--dev-go/go-sys/metadata.xml10
-rw-r--r--dev-go/go-text/Manifest1
-rw-r--r--dev-go/go-text/go-text-0_pre20150604.ebuild54
-rw-r--r--dev-go/go-text/go-text-9999.ebuild49
-rw-r--r--dev-go/go-text/metadata.xml10
-rw-r--r--dev-go/go-tools/Manifest2
-rw-r--r--dev-go/go-tools/go-tools-0_pre20150606.ebuild99
-rw-r--r--dev-go/go-tools/go-tools-9999.ebuild90
-rw-r--r--dev-go/go-tools/metadata.xml10
-rw-r--r--dev-go/godep/Manifest2
-rw-r--r--dev-go/godep/godep-0_p20150520-r1.ebuild47
-rw-r--r--dev-go/godep/godep-0_p20150520.ebuild47
-rw-r--r--dev-go/godep/metadata.xml10
-rw-r--r--dev-go/metadata.xml39
-rw-r--r--dev-go/sarama/Manifest1
-rw-r--r--dev-go/sarama/metadata.xml10
-rw-r--r--dev-go/sarama/sarama-1.4.3.ebuild68
-rw-r--r--dev-go/sarama/sarama-9999.ebuild39
53 files changed, 1456 insertions, 0 deletions
diff --git a/dev-go/go-crypto/Manifest b/dev-go/go-crypto/Manifest
new file mode 100644
index 00000000000..072c0b3c4f4
--- /dev/null
+++ b/dev-go/go-crypto/Manifest
@@ -0,0 +1 @@
+DIST go-crypto-0_pre20150608.tar.gz 874125 SHA256 2980e16b13dbe52fd2f5128e06c664fe5712a52efa185fa3578d8abc6a124406 SHA512 6ad4e8ecf8c19c5428bd560b90a97bd7db084038e5afaa197a3d76349639e41ac3992e8bafe701b9f32e30ed63a6d0d511fd98cbcc2039f338f4bc174ad03e0e WHIRLPOOL d18fed06e4f2d4bdbde42aeaf02ece2a5c8264f1b222aadfe1c49f16ba814ab15f4d1d9f6050fbdd83825d7dec273e4f14ac95dae2db08ed7472a57fbb55e7bc
diff --git a/dev-go/go-crypto/go-crypto-0_pre20150608.ebuild b/dev-go/go-crypto/go-crypto-0_pre20150608.ebuild
new file mode 100644
index 00000000000..959bd7bde2b
--- /dev/null
+++ b/dev-go/go-crypto/go-crypto-0_pre20150608.ebuild
@@ -0,0 +1,61 @@
+# Copyright 1999-2015 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI=5
+
+KEYWORDS="~amd64"
+DESCRIPTION="Go supplementary cryptography libraries"
+MY_PN=${PN##*-}
+GO_PN=golang.org/x/${MY_PN}
+HOMEPAGE="https://godoc.org/${GO_PN}"
+EGIT_COMMIT="1e856cbfdf9bc25eefca75f83f25d55e35ae72e0"
+SRC_URI="https://github.com/golang/${MY_PN}/archive/${EGIT_COMMIT}.tar.gz -> ${P}.tar.gz"
+LICENSE="BSD"
+SLOT="0"
+IUSE=""
+DEPEND=">=dev-lang/go-1.4"
+RDEPEND=""
+S="${WORKDIR}/src/${GO_PN}"
+EGIT_CHECKOUT_DIR="${S}"
+STRIP_MASK="*.a"
+
+src_unpack() {
+ default
+ mkdir -p src/${GO_PN%/*} || die
+ mv ${MY_PN}-${EGIT_COMMIT} src/${GO_PN} || die
+}
+
+src_prepare() {
+ # disable broken tests
+ sed -e 's:TestAgentForward(:_\0:' -i ssh/test/agent_unix_test.go || die
+ sed -e 's:TestRunCommandSuccess(:_\0:' \
+ -e 's:TestRunCommandStdin(:_\0:' \
+ -e 's:TestRunCommandStdinError(:_\0:' \
+ -e 's:TestRunCommandWeClosed(:_\0:' \
+ -e 's:TestFuncLargeRead(:_\0:' \
+ -e 's:TestKeyChange(:_\0:' \
+ -e 's:TestValidTerminalMode(:_\0:' \
+ -i ssh/test/session_test.go || die
+}
+
+src_compile() {
+ # Create a writable GOROOT in order to avoid sandbox violations.
+ GOROOT="${WORKDIR}/goroot"
+ cp -sR "${EPREFIX}"/usr/lib/go "${GOROOT}" || die
+ rm -rf "${GOROOT}/src/${GO_PN%/*}" \
+ "${GOROOT}/pkg/linux_${ARCH}/${GO_PN%/*}" || die
+ GOROOT="${GOROOT}" GOPATH=${WORKDIR} go install -v -x -work ${GO_PN}/... || die
+}
+
+src_test() {
+ GOROOT="${GOROOT}" GOPATH=${WORKDIR} \
+ go test -x -v ${GO_PN}/... || die $?
+}
+
+src_install() {
+ insinto /usr/lib/go
+ find "${WORKDIR}"/{pkg,src} -name '.git*' -exec rm -rf {} \; 2>/dev/null
+ insopts -m0644 -p # preserve timestamps for bug 551486
+ doins -r "${WORKDIR}"/{pkg,src}
+}
diff --git a/dev-go/go-crypto/go-crypto-9999.ebuild b/dev-go/go-crypto/go-crypto-9999.ebuild
new file mode 100644
index 00000000000..8601e78c875
--- /dev/null
+++ b/dev-go/go-crypto/go-crypto-9999.ebuild
@@ -0,0 +1,39 @@
+# Copyright 1999-2015 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI=5
+EGO_PN=golang.org/x/crypto/...
+EGO_SRC=golang.org/x/crypto
+
+if [[ ${PV} = *9999* ]]; then
+ inherit golang-vcs
+else
+ KEYWORDS="~amd64"
+ EGIT_COMMIT="1e856cbfdf9bc25eefca75f83f25d55e35ae72e0"
+ SRC_URI="https://github.com/golang/crypto/archive/${EGIT_COMMIT}.tar.gz -> ${P}.tar.gz"
+ inherit golang-vcs-snapshot
+fi
+inherit golang-build
+
+DESCRIPTION="Go supplementary cryptography libraries"
+HOMEPAGE="https://godoc.org/golang.org/x/crypto"
+LICENSE="BSD"
+SLOT="0/${PV}"
+IUSE=""
+DEPEND=""
+RDEPEND=""
+
+src_prepare() {
+ # disable broken tests
+ sed -e 's:TestAgentForward(:_\0:' \
+ -i src/${EGO_SRC}/ssh/test/agent_unix_test.go || die
+ sed -e 's:TestRunCommandSuccess(:_\0:' \
+ -e 's:TestRunCommandStdin(:_\0:' \
+ -e 's:TestRunCommandStdinError(:_\0:' \
+ -e 's:TestRunCommandWeClosed(:_\0:' \
+ -e 's:TestFuncLargeRead(:_\0:' \
+ -e 's:TestKeyChange(:_\0:' \
+ -e 's:TestValidTerminalMode(:_\0:' \
+ -i src/${EGO_SRC}/ssh/test/session_test.go || die
+}
diff --git a/dev-go/go-crypto/metadata.xml b/dev-go/go-crypto/metadata.xml
new file mode 100644
index 00000000000..4534f713bc8
--- /dev/null
+++ b/dev-go/go-crypto/metadata.xml
@@ -0,0 +1,10 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<!DOCTYPE pkgmetadata SYSTEM "http://www.gentoo.org/dtd/metadata.dtd">
+<pkgmetadata>
+ <maintainer>
+ <email>zmedico@gentoo.org</email>
+ </maintainer>
+ <upstream>
+ <remote-id type="github">golang/crypto</remote-id>
+ </upstream>
+</pkgmetadata>
diff --git a/dev-go/go-eapache-queue/Manifest b/dev-go/go-eapache-queue/Manifest
new file mode 100644
index 00000000000..575886b85ab
--- /dev/null
+++ b/dev-go/go-eapache-queue/Manifest
@@ -0,0 +1 @@
+DIST go-eapache-queue-1.0.2.tar.gz 3262 SHA256 f5f011738cca8bca8aa6957c55cd483d74ccc37f07a9f5b467769ad6ede2a3a9 SHA512 6214822ca9bf9625acf62818205ba1c964e72271a008d99f827a0072c1a48bc5aefee8724c7fc1ea45450084625570f2625443a70eb26c6b0d5032b4811dd5b0 WHIRLPOOL 0676538eefe0270b3a93c00957e6f6a9db717ba4770c176b845701954c1daf1a4c1577207c037933689dac4b6199c75b190b09b4362fd2eb55b198f64139d001
diff --git a/dev-go/go-eapache-queue/go-eapache-queue-1.0.2.ebuild b/dev-go/go-eapache-queue/go-eapache-queue-1.0.2.ebuild
new file mode 100644
index 00000000000..8ea5793b5cd
--- /dev/null
+++ b/dev-go/go-eapache-queue/go-eapache-queue-1.0.2.ebuild
@@ -0,0 +1,58 @@
+# Copyright 1999-2015 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI=5
+
+EGO_SRC=github.com/eapache/queue
+EGO_PN=${EGO_SRC}/...
+
+if [[ ${PV} = *9999* ]]; then
+ inherit golang-vcs
+else
+ KEYWORDS="~amd64"
+ SRC_URI="https://${EGO_SRC}/archive/v${PV}.tar.gz -> ${P}.tar.gz"
+fi
+inherit golang-build
+
+DESCRIPTION="Fast golang queue using ring-buffer"
+HOMEPAGE="https://${EGO_SRC}"
+LICENSE="MIT"
+SLOT="0/${PV}"
+IUSE=""
+DEPEND=""
+RDEPEND=""
+
+if [[ ${PV} != *9999* ]]; then
+src_unpack() {
+ local f
+
+ for f in ${A}
+ do
+ case "${f}" in
+ *.tar|*.tar.gz|*.tar.bz2|*.tar.xz)
+ local destdir=${WORKDIR}/${P}/src/${EGO_SRC}
+
+ debug-print "${FUNCNAME}: unpacking ${f} to ${destdir}"
+
+ # XXX: check whether the directory structure inside is
+ # fine? i.e. if the tarball has actually a parent dir.
+ mkdir -p "${destdir}" || die
+ tar -C "${destdir}" -x --strip-components 1 \
+ -f "${DISTDIR}/${f}" || die
+ ;;
+ *)
+ debug-print "${FUNCNAME}: falling back to unpack for ${f}"
+
+ # fall back to the default method
+ unpack "${f}"
+ ;;
+ esac
+ done
+}
+fi
+
+src_install() {
+ rm -rf src/${EGO_SRC}/.git* || die
+ golang-build_src_install
+}
diff --git a/dev-go/go-eapache-queue/go-eapache-queue-9999.ebuild b/dev-go/go-eapache-queue/go-eapache-queue-9999.ebuild
new file mode 100644
index 00000000000..a30d4a75525
--- /dev/null
+++ b/dev-go/go-eapache-queue/go-eapache-queue-9999.ebuild
@@ -0,0 +1,25 @@
+# Copyright 1999-2015 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI=5
+
+EGO_SRC=github.com/eapache/queue
+EGO_PN=${EGO_SRC}/...
+
+if [[ ${PV} = *9999* ]]; then
+ inherit golang-vcs
+else
+ KEYWORDS="~amd64"
+ SRC_URI="https://${EGO_SRC}/archive/v${PV}.tar.gz -> ${P}.tar.gz"
+ inherit golang-vcs-snapshot
+fi
+inherit golang-build
+
+DESCRIPTION="Fast golang queue using ring-buffer"
+HOMEPAGE="https://${EGO_SRC}"
+LICENSE="MIT"
+SLOT="0/${PV}"
+IUSE=""
+DEPEND=""
+RDEPEND=""
diff --git a/dev-go/go-eapache-queue/metadata.xml b/dev-go/go-eapache-queue/metadata.xml
new file mode 100644
index 00000000000..25e9450f707
--- /dev/null
+++ b/dev-go/go-eapache-queue/metadata.xml
@@ -0,0 +1,10 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<!DOCTYPE pkgmetadata SYSTEM "http://www.gentoo.org/dtd/metadata.dtd">
+<pkgmetadata>
+ <maintainer>
+ <email>zmedico@gentoo.org</email>
+ </maintainer>
+ <upstream>
+ <remote-id type="github">eapache/queue</remote-id>
+ </upstream>
+</pkgmetadata>
diff --git a/dev-go/go-net/Manifest b/dev-go/go-net/Manifest
new file mode 100644
index 00000000000..0cfbd60e358
--- /dev/null
+++ b/dev-go/go-net/Manifest
@@ -0,0 +1 @@
+DIST go-net-0_pre20150604.tar.gz 470847 SHA256 407c9a5796baabb40a04cc09fcbc21efc0df72c38e95550054f8191741ad6207 SHA512 5bf62beed4a5d847dd4034fb713412f26f48d392c133ad4ac7409b75af82cb4b72ce46c3dbda7aab58d42879db4bb120432722362f7b8d2cb8131e9f3709c4e5 WHIRLPOOL ab69bca5c7c72a88d64a694b01911645850cea7741798934d3350a49d57704c0be99a9ebaca7582aed5e03be64dd3daf25778e3193b65f9cad522d6b62397c82
diff --git a/dev-go/go-net/go-net-0_pre20150604.ebuild b/dev-go/go-net/go-net-0_pre20150604.ebuild
new file mode 100644
index 00000000000..7c0abdb8d2b
--- /dev/null
+++ b/dev-go/go-net/go-net-0_pre20150604.ebuild
@@ -0,0 +1,57 @@
+# Copyright 1999-2015 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI=5
+
+KEYWORDS="~amd64"
+DESCRIPTION="Go supplementary network libraries"
+MY_PN=${PN##*-}
+GO_PN=golang.org/x/${MY_PN}
+HOMEPAGE="https://godoc.org/${GO_PN}"
+EGIT_COMMIT="dfe268fd2bb5c793f4c083803609fce9806c6f80"
+SRC_URI="https://github.com/golang/${MY_PN}/archive/${EGIT_COMMIT}.tar.gz -> ${P}.tar.gz"
+LICENSE="BSD"
+SLOT="0"
+IUSE=""
+DEPEND=">=dev-lang/go-1.4
+ dev-go/go-text"
+RDEPEND=""
+S="${WORKDIR}/src/${GO_PN}"
+EGIT_CHECKOUT_DIR="${S}"
+STRIP_MASK="*.a"
+
+src_unpack() {
+ default
+ mkdir -p src/${GO_PN%/*} || die
+ mv ${MY_PN}-${EGIT_COMMIT} src/${GO_PN} || die
+}
+
+src_prepare() {
+ # disable broken tests
+ sed -e 's:TestReadProppatch(:_\0:' -i webdav/xml_test.go || die
+ sed -e 's:TestPingGoogle(:_\0:' \
+ -e 's:TestNonPrivilegedPing(:_\0:' \
+ -i icmp/ping_test.go || die
+}
+
+src_compile() {
+ # Create a writable GOROOT in order to avoid sandbox violations.
+ GOROOT="${WORKDIR}/goroot"
+ cp -sR "${EPREFIX}"/usr/lib/go "${GOROOT}" || die
+ rm -rf "${GOROOT}/src/${GO_PN}" \
+ "${GOROOT}/pkg/linux_${ARCH}/${GO_PN}" || die
+ GOROOT="${GOROOT}" GOPATH=${WORKDIR} go install -v -x -work ${GO_PN}/... || die
+}
+
+src_test() {
+ GOROOT="${GOROOT}" GOPATH=${WORKDIR} \
+ go test -x -v ${GO_PN}/... || die $?
+}
+
+src_install() {
+ insinto /usr/lib/go
+ find "${WORKDIR}"/{pkg,src} -name '.git*' -exec rm -rf {} \; 2>/dev/null
+ insopts -m0644 -p # preserve timestamps for bug 551486
+ doins -r "${WORKDIR}"/{pkg,src}
+}
diff --git a/dev-go/go-net/go-net-9999.ebuild b/dev-go/go-net/go-net-9999.ebuild
new file mode 100644
index 00000000000..9c9df76a54c
--- /dev/null
+++ b/dev-go/go-net/go-net-9999.ebuild
@@ -0,0 +1,34 @@
+# Copyright 1999-2015 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI=5
+EGO_PN=golang.org/x/net/...
+EGO_SRC=golang.org/x/net
+
+if [[ ${PV} = *9999* ]]; then
+ inherit golang-vcs
+else
+ KEYWORDS="~amd64"
+ EGIT_COMMIT="dfe268fd2bb5c793f4c083803609fce9806c6f80"
+ SRC_URI="https://github.com/golang/net/archive/${EGIT_COMMIT}.tar.gz -> ${P}.tar.gz"
+ inherit golang-vcs-snapshot
+fi
+inherit golang-build
+
+DESCRIPTION="Go supplementary network libraries"
+HOMEPAGE="https://godoc.org/golang.org/x/net"
+LICENSE="BSD"
+SLOT="0/${PV}"
+IUSE=""
+DEPEND="dev-go/go-text:="
+RDEPEND=""
+
+src_prepare() {
+ # disable broken tests
+ sed -e 's:TestReadProppatch(:_\0:' \
+ -i src/${EGO_SRC}/webdav/xml_test.go || die
+ sed -e 's:TestPingGoogle(:_\0:' \
+ -e 's:TestNonPrivilegedPing(:_\0:' \
+ -i src/${EGO_SRC}/icmp/ping_test.go || die
+}
diff --git a/dev-go/go-net/metadata.xml b/dev-go/go-net/metadata.xml
new file mode 100644
index 00000000000..889a5e66489
--- /dev/null
+++ b/dev-go/go-net/metadata.xml
@@ -0,0 +1,10 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<!DOCTYPE pkgmetadata SYSTEM "http://www.gentoo.org/dtd/metadata.dtd">
+<pkgmetadata>
+ <maintainer>
+ <email>zmedico@gentoo.org</email>
+ </maintainer>
+ <upstream>
+ <remote-id type="github">golang/net</remote-id>
+ </upstream>
+</pkgmetadata>
diff --git a/dev-go/go-oauth2/Manifest b/dev-go/go-oauth2/Manifest
new file mode 100644
index 00000000000..05ef330ea7e
--- /dev/null
+++ b/dev-go/go-oauth2/Manifest
@@ -0,0 +1,2 @@
+DIST gcloud-golang-629ed086d82ad5d0ac3668e309b8785aaf54735b.tar.gz 144387 SHA256 bee11c31bc0f8914b4b72463033eb7432f28cec490673f4a12618b64868ee1f5 SHA512 33bdb3a9b3379bdd2502ade3ee9a41601effbd3f4bae88a7a7b4931866b73b336846b50994b254cac85571693566e12f4a23a0b8a0428d6aef1b301d468ef417 WHIRLPOOL 50426185042fe8b754b2db30b11fce588a189cb61e3e9781409edde6a5deb15a109ed1bf78e5831414762f497d3a6dcd98f2291f9c93b283059aa5b453ac9121
+DIST go-oauth2-0_pre20150527.tar.gz 32027 SHA256 eb1d48e29653b0bc68e41ef35df0d421e586e666ce52d7d504a6f2fb89807ce1 SHA512 9070bfed2e280286dbaeb360e77a9b2decf3e272e945ce4099875f7fd2e378b54082f8a9b4a2b7289d6984be4c66110d34b814cbc8e2850fd44122d484258fd4 WHIRLPOOL 09f19f1111f0a1d40ccff541c5cf4ad968264c91e9f6a3c18d23d441520002896b99f8f9979922dd4245edd9b46f89c46c94144b516c8424de43ccae8d462598
diff --git a/dev-go/go-oauth2/go-oauth2-0_pre20150527.ebuild b/dev-go/go-oauth2/go-oauth2-0_pre20150527.ebuild
new file mode 100644
index 00000000000..28f94fd16f1
--- /dev/null
+++ b/dev-go/go-oauth2/go-oauth2-0_pre20150527.ebuild
@@ -0,0 +1,58 @@
+# Copyright 1999-2015 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI=5
+
+KEYWORDS="~amd64"
+DESCRIPTION="Go client implementation for OAuth 2.0 spec"
+MY_PN=${PN##*-}
+GO_PN=golang.org/x/${MY_PN}
+HOMEPAGE="https://godoc.org/${GO_PN}"
+EGIT_COMMIT="b5adcc2dcdf009d0391547edc6ecbaff889f5bb9"
+SRC_URI="https://github.com/golang/${MY_PN}/archive/${EGIT_COMMIT}.tar.gz -> ${P}.tar.gz
+https://github.com/GoogleCloudPlatform/gcloud-golang/archive/629ed086d82ad5d0ac3668e309b8785aaf54735b.tar.gz -> gcloud-golang-629ed086d82ad5d0ac3668e309b8785aaf54735b.tar.gz"
+LICENSE="BSD"
+SLOT="0"
+IUSE=""
+DEPEND=">=dev-lang/go-1.4
+ dev-go/go-net"
+RDEPEND=""
+S="${WORKDIR}/src/${GO_PN}"
+EGIT_CHECKOUT_DIR="${S}"
+STRIP_MASK="*.a"
+
+src_unpack() {
+ default
+ mkdir -p src/${GO_PN%/*} || die
+ mv ${MY_PN}-${EGIT_COMMIT} src/${GO_PN} || die
+
+ # Create a writable GOROOT in order to avoid sandbox violations.
+ export GOROOT="${WORKDIR}/goroot" GOPATH=${WORKDIR}
+ cp -sR "${EPREFIX}"/usr/lib/go "${GOROOT}" || die
+ rm -rf "${GOROOT}/src/${GO_PN}" || die
+
+ mkdir -p "${GOROOT}/src/google.golang.org" || die
+ rm -rf "${GOROOT}/src/google.golang.org"/* || die
+ rm -rf "${GOROOT}/pkg/${KERNEL}_${ARCH}/google.golang.org" || die
+ mv gcloud-golang-629ed086d82ad5d0ac3668e309b8785aaf54735b "${GOROOT}/src/google.golang.org/cloud" || die
+}
+
+src_compile() {
+ go install -v -x -work google.golang.org/cloud/compute/metadata || die
+ go install -v -x -work ${GO_PN}/... || die
+}
+
+src_test() {
+ # google/example_test.go imports appengine, introducing a circular dep
+ mv google/example_test.go{,_}
+ go test -x -v ${GO_PN}/... || die $?
+ mv google/example_test.go{_,}
+}
+
+src_install() {
+ insinto /usr/lib/go
+ find "${WORKDIR}"/{pkg,src} -name '.git*' -exec rm -rf {} \; 2>/dev/null
+ insopts -m0644 -p # preserve timestamps for bug 551486
+ doins -r "${WORKDIR}"/{pkg,src}
+}
diff --git a/dev-go/go-oauth2/go-oauth2-9999.ebuild b/dev-go/go-oauth2/go-oauth2-9999.ebuild
new file mode 100644
index 00000000000..9fb295ad439
--- /dev/null
+++ b/dev-go/go-oauth2/go-oauth2-9999.ebuild
@@ -0,0 +1,25 @@
+# Copyright 1999-2015 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI=5
+EGO_PN=golang.org/x/oauth2
+EGO_SRC=golang.org/x/oauth2
+
+if [[ ${PV} = *9999* ]]; then
+ inherit golang-vcs
+else
+ KEYWORDS="~amd64"
+ EGIT_COMMIT="b5adcc2dcdf009d0391547edc6ecbaff889f5bb9"
+ SRC_URI="https://github.com/golang/oauth2/archive/${EGIT_COMMIT}.tar.gz -> ${P}.tar.gz"
+ inherit golang-vcs-snapshot
+fi
+inherit golang-build
+
+DESCRIPTION="Go client implementation for OAuth 2.0 spec"
+HOMEPAGE="https://godoc.org/golang.org/x/oauth2"
+LICENSE="BSD"
+SLOT="0/${PV}"
+IUSE=""
+DEPEND="dev-go/go-net:="
+RDEPEND=""
diff --git a/dev-go/go-oauth2/metadata.xml b/dev-go/go-oauth2/metadata.xml
new file mode 100644
index 00000000000..8d7ab33033c
--- /dev/null
+++ b/dev-go/go-oauth2/metadata.xml
@@ -0,0 +1,10 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<!DOCTYPE pkgmetadata SYSTEM "http://www.gentoo.org/dtd/metadata.dtd">
+<pkgmetadata>
+ <maintainer>
+ <email>zmedico@gentoo.org</email>
+ </maintainer>
+ <upstream>
+ <remote-id type="github">GoogleCloudPlatform/gcloud-golang</remote-id>
+ </upstream>
+</pkgmetadata>
diff --git a/dev-go/go-protobuf/Manifest b/dev-go/go-protobuf/Manifest
new file mode 100644
index 00000000000..38d6184f0c4
--- /dev/null
+++ b/dev-go/go-protobuf/Manifest
@@ -0,0 +1 @@
+DIST go-protobuf-0_pre20150727.tar.gz 151982 SHA256 160ad98eb1477492476ba566d218262fe6d326410d5a030c6a00433eaf7f9006 SHA512 04802b8d74ccaa17f9fc030badd0e74b6e47233ca5f1faab7c49f25bef2f06efd97aa4bf3f4783a7815958354744ddb9fee96d183aebbb03864069b0cc569564 WHIRLPOOL f49157a4a1a48c67b72ed38121ba28aec3f9b3405a3388097caba36643715c14b6915f9bcbd04f974fa98e9f2c4c4a4e313480ef307701c0ace734e9c214c010
diff --git a/dev-go/go-protobuf/go-protobuf-0_pre20150727.ebuild b/dev-go/go-protobuf/go-protobuf-0_pre20150727.ebuild
new file mode 100644
index 00000000000..e979d5cd729
--- /dev/null
+++ b/dev-go/go-protobuf/go-protobuf-0_pre20150727.ebuild
@@ -0,0 +1,60 @@
+# Copyright 1999-2015 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI=5
+
+EGO_SRC=github.com/golang/protobuf
+EGO_PN=${EGO_SRC}/...
+
+if [[ ${PV} = *9999* ]]; then
+ inherit golang-vcs
+else
+ KEYWORDS="~amd64"
+ EGIT_COMMIT="68c687dc49948540b356a6b47931c9be4fcd0245"
+ SRC_URI="https://${EGO_SRC}/archive/${EGIT_COMMIT}.tar.gz -> ${P}.tar.gz"
+fi
+inherit golang-build
+
+DESCRIPTION="Go support for Google's protocol buffers"
+HOMEPAGE="https://${EGO_SRC}"
+LICENSE="BSD"
+SLOT="0/${PV}"
+IUSE=""
+DEPEND=""
+RDEPEND=""
+
+if [[ ${PV} != *9999* ]]; then
+src_unpack() {
+ local f
+
+ for f in ${A}
+ do
+ case "${f}" in
+ *.tar|*.tar.gz|*.tar.bz2|*.tar.xz)
+ local destdir=${WORKDIR}/${P}/src/${EGO_SRC}
+
+ debug-print "${FUNCNAME}: unpacking ${f} to ${destdir}"
+
+ # XXX: check whether the directory structure inside is
+ # fine? i.e. if the tarball has actually a parent dir.
+ mkdir -p "${destdir}" || die
+ tar -C "${destdir}" -x --strip-components 1 \
+ -f "${DISTDIR}/${f}" || die
+ ;;
+ *)
+ debug-print "${FUNCNAME}: falling back to unpack for ${f}"
+
+ # fall back to the default method
+ unpack "${f}"
+ ;;
+ esac
+ done
+}
+fi
+
+src_install() {
+ rm -rf src/${EGO_SRC}/.git* || die
+ golang-build_src_install
+ dobin bin/*
+}
diff --git a/dev-go/go-protobuf/go-protobuf-9999.ebuild b/dev-go/go-protobuf/go-protobuf-9999.ebuild
new file mode 100644
index 00000000000..0c87b2c204c
--- /dev/null
+++ b/dev-go/go-protobuf/go-protobuf-9999.ebuild
@@ -0,0 +1,31 @@
+# Copyright 1999-2015 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI=5
+
+EGO_SRC=github.com/golang/protobuf
+EGO_PN=${EGO_SRC}/...
+
+if [[ ${PV} = *9999* ]]; then
+ inherit golang-vcs
+else
+ KEYWORDS="~amd64"
+ EGIT_COMMIT="68c687dc49948540b356a6b47931c9be4fcd0245"
+ SRC_URI="https://${EGO_SRC}/archive/${EGIT_COMMIT}.tar.gz -> ${P}.tar.gz"
+ inherit golang-vcs-snapshot
+fi
+inherit golang-build
+
+DESCRIPTION="Go support for Google's protocol buffers"
+HOMEPAGE="https://${EGO_SRC}"
+LICENSE="BSD"
+SLOT="0/${PV}"
+IUSE=""
+DEPEND=""
+RDEPEND=""
+
+src_install() {
+ golang-build_src_install
+ dobin bin/*
+}
diff --git a/dev-go/go-protobuf/metadata.xml b/dev-go/go-protobuf/metadata.xml
new file mode 100644
index 00000000000..4b48fc8d3e2
--- /dev/null
+++ b/dev-go/go-protobuf/metadata.xml
@@ -0,0 +1,10 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<!DOCTYPE pkgmetadata SYSTEM "http://www.gentoo.org/dtd/metadata.dtd">
+<pkgmetadata>
+ <maintainer>
+ <email>zmedico@gentoo.org</email>
+ </maintainer>
+ <upstream>
+ <remote-id type="github">golang/protobuf</remote-id>
+ </upstream>
+</pkgmetadata>
diff --git a/dev-go/go-resiliency/Manifest b/dev-go/go-resiliency/Manifest
new file mode 100644
index 00000000000..9ba0a1f4de3
--- /dev/null
+++ b/dev-go/go-resiliency/Manifest
@@ -0,0 +1 @@
+DIST go-resiliency-1.0.0.tar.gz 9504 SHA256 b4f5a9926e8b68f13e506001a9f52c1e3083a2ed171722ac857a4840d7c36486 SHA512 3847a9280543796fa3b5569d817e580f55819aa99e04a7737b235cb8ef578db018c51537f292e3f59ed10004cb0a7eabdf9870000fff25af4bf6d2af70510657 WHIRLPOOL 41404cb044e0a64608ffe58da2d77d8ed87606d58f408114e6e461e537cf5cb05460a95bee36a7d73e4be34cb6222c90eb97777d1cf13a40f88cc5101d21333d
diff --git a/dev-go/go-resiliency/go-resiliency-1.0.0.ebuild b/dev-go/go-resiliency/go-resiliency-1.0.0.ebuild
new file mode 100644
index 00000000000..3f06a6bdf2c
--- /dev/null
+++ b/dev-go/go-resiliency/go-resiliency-1.0.0.ebuild
@@ -0,0 +1,58 @@
+# Copyright 1999-2015 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI=5
+
+EGO_SRC=github.com/eapache/go-resiliency
+EGO_PN=${EGO_SRC}/...
+
+if [[ ${PV} = *9999* ]]; then
+ inherit golang-vcs
+else
+ KEYWORDS="~amd64"
+ SRC_URI="https://${EGO_SRC}/archive/v${PV}.tar.gz -> ${P}.tar.gz"
+fi
+inherit golang-build
+
+DESCRIPTION="Resiliency patterns for golang"
+HOMEPAGE="https://${EGO_SRC}"
+LICENSE="MIT"
+SLOT="0/${PV}"
+IUSE=""
+DEPEND=""
+RDEPEND=""
+
+if [[ ${PV} != *9999* ]]; then
+src_unpack() {
+ local f
+
+ for f in ${A}
+ do
+ case "${f}" in
+ *.tar|*.tar.gz|*.tar.bz2|*.tar.xz)
+ local destdir=${WORKDIR}/${P}/src/${EGO_SRC}
+
+ debug-print "${FUNCNAME}: unpacking ${f} to ${destdir}"
+
+ # XXX: check whether the directory structure inside is
+ # fine? i.e. if the tarball has actually a parent dir.
+ mkdir -p "${destdir}" || die
+ tar -C "${destdir}" -x --strip-components 1 \
+ -f "${DISTDIR}/${f}" || die
+ ;;
+ *)
+ debug-print "${FUNCNAME}: falling back to unpack for ${f}"
+
+ # fall back to the default method
+ unpack "${f}"
+ ;;
+ esac
+ done
+}
+fi
+
+src_install() {
+ rm -rf src/${EGO_SRC}/.git* || die
+ golang-build_src_install
+}
diff --git a/dev-go/go-resiliency/go-resiliency-9999.ebuild b/dev-go/go-resiliency/go-resiliency-9999.ebuild
new file mode 100644
index 00000000000..ac53b2b8be6
--- /dev/null
+++ b/dev-go/go-resiliency/go-resiliency-9999.ebuild
@@ -0,0 +1,25 @@
+# Copyright 1999-2015 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI=5
+
+EGO_SRC=github.com/eapache/go-resiliency
+EGO_PN=${EGO_SRC}/...
+
+if [[ ${PV} = *9999* ]]; then
+ inherit golang-vcs
+else
+ KEYWORDS="~amd64"
+ SRC_URI="https://${EGO_SRC}/archive/v${PV}.tar.gz -> ${P}.tar.gz"
+ inherit golang-vcs-snapshot
+fi
+inherit golang-build
+
+DESCRIPTION="Resiliency patterns for golang"
+HOMEPAGE="https://${EGO_SRC}"
+LICENSE="MIT"
+SLOT="0/${PV}"
+IUSE=""
+DEPEND=""
+RDEPEND=""
diff --git a/dev-go/go-resiliency/metadata.xml b/dev-go/go-resiliency/metadata.xml
new file mode 100644
index 00000000000..009c68c3933
--- /dev/null
+++ b/dev-go/go-resiliency/metadata.xml
@@ -0,0 +1,10 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<!DOCTYPE pkgmetadata SYSTEM "http://www.gentoo.org/dtd/metadata.dtd">
+<pkgmetadata>
+ <maintainer>
+ <email>zmedico@gentoo.org</email>
+ </maintainer>
+ <upstream>
+ <remote-id type="github">eapache/go-resiliency</remote-id>
+ </upstream>
+</pkgmetadata>
diff --git a/dev-go/go-snappy/Manifest b/dev-go/go-snappy/Manifest
new file mode 100644
index 00000000000..9e68da2ff82
--- /dev/null
+++ b/dev-go/go-snappy/Manifest
@@ -0,0 +1 @@
+DIST go-snappy-0_pre20150729.tar.gz 10085 SHA256 7df12835634e18e96cb3239f870404d5c5a6a20ad3706534a43418c23f5c107e SHA512 84f285f34f547f1da6b0fc87b61a699ac3e8b8d762c0aaa3d71b22869c51d76eb5a5fc3d9b8d3571591eb955fdde9a7a293935e1d40f76c5dd01cc02710b209a WHIRLPOOL 74940645fb51ffb3bedae94dd513b3a153f8cf91285a09eca52d1e0861af20872834ea24034c7fb6de1e13169b566ae155f6937cc0b22fba86bfc02dafa2e3c5
diff --git a/dev-go/go-snappy/go-snappy-0_pre20150729.ebuild b/dev-go/go-snappy/go-snappy-0_pre20150729.ebuild
new file mode 100644
index 00000000000..d06f1cc5a80
--- /dev/null
+++ b/dev-go/go-snappy/go-snappy-0_pre20150729.ebuild
@@ -0,0 +1,59 @@
+# Copyright 1999-2015 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI=5
+
+EGO_SRC=github.com/golang/snappy
+EGO_PN=${EGO_SRC}/...
+
+if [[ ${PV} = *9999* ]]; then
+ inherit golang-vcs
+else
+ KEYWORDS="~amd64"
+ EGIT_COMMIT="723cc1e459b8eea2dea4583200fd60757d40097a"
+ SRC_URI="https://${EGO_SRC}/archive/${EGIT_COMMIT}.tar.gz -> ${P}.tar.gz"
+fi
+inherit golang-build
+
+DESCRIPTION="The Snappy compression format in the Go programming language."
+HOMEPAGE="https://${EGO_SRC}"
+LICENSE="BSD"
+SLOT="0/${PV}"
+IUSE=""
+DEPEND=""
+RDEPEND=""
+
+if [[ ${PV} != *9999* ]]; then
+src_unpack() {
+ local f
+
+ for f in ${A}
+ do
+ case "${f}" in
+ *.tar|*.tar.gz|*.tar.bz2|*.tar.xz)
+ local destdir=${WORKDIR}/${P}/src/${EGO_SRC}
+
+ debug-print "${FUNCNAME}: unpacking ${f} to ${destdir}"
+
+ # XXX: check whether the directory structure inside is
+ # fine? i.e. if the tarball has actually a parent dir.
+ mkdir -p "${destdir}" || die
+ tar -C "${destdir}" -x --strip-components 1 \
+ -f "${DISTDIR}/${f}" || die
+ ;;
+ *)
+ debug-print "${FUNCNAME}: falling back to unpack for ${f}"
+
+ # fall back to the default method
+ unpack "${f}"
+ ;;
+ esac
+ done
+}
+fi
+
+src_install() {
+ rm -rf src/${EGO_SRC}/.git* || die
+ golang-build_src_install
+}
diff --git a/dev-go/go-snappy/go-snappy-9999.ebuild b/dev-go/go-snappy/go-snappy-9999.ebuild
new file mode 100644
index 00000000000..eb2196bbefb
--- /dev/null
+++ b/dev-go/go-snappy/go-snappy-9999.ebuild
@@ -0,0 +1,26 @@
+# Copyright 1999-2015 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI=5
+
+EGO_SRC=github.com/golang/snappy
+EGO_PN=${EGO_SRC}/...
+
+if [[ ${PV} = *9999* ]]; then
+ inherit golang-vcs
+else
+ KEYWORDS="~amd64"
+ EGIT_COMMIT="723cc1e459b8eea2dea4583200fd60757d40097a"
+ SRC_URI="https://${EGO_SRC}/archive/${EGIT_COMMIT}.tar.gz -> ${P}.tar.gz"
+ inherit golang-vcs-snapshot
+fi
+inherit golang-build
+
+DESCRIPTION="The Snappy compression format in the Go programming language."
+HOMEPAGE="https://${EGO_SRC}"
+LICENSE="BSD"
+SLOT="0/${PV}"
+IUSE=""
+DEPEND=""
+RDEPEND=""
diff --git a/dev-go/go-snappy/metadata.xml b/dev-go/go-snappy/metadata.xml
new file mode 100644
index 00000000000..f36062738a6
--- /dev/null
+++ b/dev-go/go-snappy/metadata.xml
@@ -0,0 +1,10 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<!DOCTYPE pkgmetadata SYSTEM "http://www.gentoo.org/dtd/metadata.dtd">
+<pkgmetadata>
+ <maintainer>
+ <email>zmedico@gentoo.org</email>
+ </maintainer>
+ <upstream>
+ <remote-id type="github">golang/snappy</remote-id>
+ </upstream>
+</pkgmetadata>
diff --git a/dev-go/go-spew/Manifest b/dev-go/go-spew/Manifest
new file mode 100644
index 00000000000..2639fedbfc7
--- /dev/null
+++ b/dev-go/go-spew/Manifest
@@ -0,0 +1 @@
+DIST go-spew-0_pre20150619.tar.gz 41714 SHA256 e064d12586e3685d32eb0bd125b9e4c19291fdcc07bd21e067593cbc81525e1c SHA512 84ec5cbf26b59d6380d09b4e053427d8c8b93555e43de4a95d373b7fb1edc647f0c950caaacf451c03872171d138e717b1fa9a1ea0f14208a9a5197bd83ce037 WHIRLPOOL 31f9823776b77317b26a256ba3615cf7aeae4c3d46f54b2840ed742770369a15bfa8a972252229eaa907e16c40a18573e1df748a99c86bf244ed4b43d86db409
diff --git a/dev-go/go-spew/go-spew-0_pre20150619.ebuild b/dev-go/go-spew/go-spew-0_pre20150619.ebuild
new file mode 100644
index 00000000000..9b9367f2b3d
--- /dev/null
+++ b/dev-go/go-spew/go-spew-0_pre20150619.ebuild
@@ -0,0 +1,59 @@
+# Copyright 1999-2015 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI=5
+
+EGO_SRC=github.com/davecgh/${PN}
+EGO_PN=${EGO_SRC}/...
+
+if [[ ${PV} = *9999* ]]; then
+ inherit golang-vcs
+else
+ KEYWORDS="~amd64"
+ EGIT_COMMIT="2df174808ee097f90d259e432cc04442cf60be21"
+ SRC_URI="https://${EGO_SRC}/archive/${EGIT_COMMIT}.tar.gz -> ${P}.tar.gz"
+fi
+inherit golang-build
+
+DESCRIPTION="Implements a deep pretty printer for Go data structures to aid in debugging"
+HOMEPAGE="https://${EGO_SRC}"
+LICENSE="ISC"
+SLOT="0/${PV}"
+IUSE=""
+DEPEND=""
+RDEPEND=""
+
+if [[ ${PV} != *9999* ]]; then
+src_unpack() {
+ local f
+
+ for f in ${A}
+ do
+ case "${f}" in
+ *.tar|*.tar.gz|*.tar.bz2|*.tar.xz)
+ local destdir=${WORKDIR}/${P}/src/${EGO_SRC}
+
+ debug-print "${FUNCNAME}: unpacking ${f} to ${destdir}"
+
+ # XXX: check whether the directory structure inside is
+ # fine? i.e. if the tarball has actually a parent dir.
+ mkdir -p "${destdir}" || die
+ tar -C "${destdir}" -x --strip-components 1 \
+ -f "${DISTDIR}/${f}" || die
+ ;;
+ *)
+ debug-print "${FUNCNAME}: falling back to unpack for ${f}"
+
+ # fall back to the default method
+ unpack "${f}"
+ ;;
+ esac
+ done
+}
+fi
+
+src_install() {
+ rm -rf src/${EGO_SRC}/.git* || die
+ golang-build_src_install
+}
diff --git a/dev-go/go-spew/go-spew-9999.ebuild b/dev-go/go-spew/go-spew-9999.ebuild
new file mode 100644
index 00000000000..26f65ba8513
--- /dev/null
+++ b/dev-go/go-spew/go-spew-9999.ebuild
@@ -0,0 +1,26 @@
+# Copyright 1999-2015 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI=5
+
+EGO_SRC=github.com/davecgh/${PN}
+EGO_PN=${EGO_SRC}/...
+
+if [[ ${PV} = *9999* ]]; then
+ inherit golang-vcs
+else
+ KEYWORDS="~amd64"
+ EGIT_COMMIT="2df174808ee097f90d259e432cc04442cf60be21"
+ SRC_URI="https://${EGO_SRC}/archive/${EGIT_COMMIT}.tar.gz -> ${P}.tar.gz"
+ inherit golang-vcs-snapshot
+fi
+inherit golang-build
+
+DESCRIPTION="Implements a deep pretty printer for Go data structures to aid in debugging"
+HOMEPAGE="https://${EGO_SRC}"
+LICENSE="ISC"
+SLOT="0/${PV}"
+IUSE=""
+DEPEND=""
+RDEPEND=""
diff --git a/dev-go/go-spew/metadata.xml b/dev-go/go-spew/metadata.xml
new file mode 100644
index 00000000000..d2c2e9307d0
--- /dev/null
+++ b/dev-go/go-spew/metadata.xml
@@ -0,0 +1,10 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<!DOCTYPE pkgmetadata SYSTEM "http://www.gentoo.org/dtd/metadata.dtd">
+<pkgmetadata>
+ <maintainer>
+ <email>zmedico@gentoo.org</email>
+ </maintainer>
+ <upstream>
+ <remote-id type="github">davecgh/go-spew</remote-id>
+ </upstream>
+</pkgmetadata>
diff --git a/dev-go/go-sys/Manifest b/dev-go/go-sys/Manifest
new file mode 100644
index 00000000000..885a5f9b0ad
--- /dev/null
+++ b/dev-go/go-sys/Manifest
@@ -0,0 +1 @@
+DIST go-sys-0_pre20150518.tar.gz 528445 SHA256 8b8af041e424a8bd04a955a1104313f4eb3b282f064c555ef4edc53b552ce753 SHA512 90565340fa64b625877444c84589e1ba870403a239cf43e99ba194b071e89e6a4877b4b04bb85ba5966401e9b6361eb1b1ffa88404d727eb9f02938313264a9c WHIRLPOOL 9bf6bf148b8d63bcd863cf64d16c4f999bc68dd8dc382167122afbc14499dbdf8ca0e5397f3106556cd1e3ebe62f0df31a394fed42d1a506a311aa3f9d232c37
diff --git a/dev-go/go-sys/go-sys-0_pre20150518.ebuild b/dev-go/go-sys/go-sys-0_pre20150518.ebuild
new file mode 100644
index 00000000000..7c3dc9366d8
--- /dev/null
+++ b/dev-go/go-sys/go-sys-0_pre20150518.ebuild
@@ -0,0 +1,52 @@
+# Copyright 1999-2015 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI=5
+
+KEYWORDS="~amd64"
+DESCRIPTION="Go packages for low-level interaction with the operating system"
+MY_PN=${PN##*-}
+GO_PN=golang.org/x/${MY_PN}
+HOMEPAGE="https://godoc.org/${GO_PN}"
+EGIT_COMMIT="58e109635f5d754f4b3a8a0172db65a52fcab866"
+SRC_URI="https://github.com/golang/${MY_PN}/archive/${EGIT_COMMIT}.tar.gz -> ${P}.tar.gz"
+LICENSE="BSD"
+SLOT="0"
+IUSE=""
+DEPEND=">=dev-lang/go-1.4"
+RDEPEND=""
+S="${WORKDIR}/src/${GO_PN}"
+EGIT_CHECKOUT_DIR="${S}"
+STRIP_MASK="*.a"
+
+src_unpack() {
+ default
+ mkdir -p src/${GO_PN%/*} || die
+ mv ${MY_PN}-${EGIT_COMMIT} src/${GO_PN} || die
+}
+
+src_compile() {
+ # Create a writable GOROOT in order to avoid sandbox violations.
+ GOROOT="${WORKDIR}/goroot"
+ cp -sR "${EPREFIX}"/usr/lib/go "${GOROOT}" || die
+ rm -rf "${GOROOT}/src/${GO_PN%%/*}" \
+ "${GOROOT}/pkg/linux_${ARCH}/${GO_PN%%/*}" || die
+ GOROOT="${GOROOT}" GOPATH=${WORKDIR} \
+ go install -x -v -work ${GO_PN}/unix/... || die
+}
+
+src_test() {
+ GOROOT="${GOROOT}" GOPATH=${WORKDIR} \
+ go test -x -v golang.org/x/sys/unix/... || die
+}
+
+src_install() {
+ insinto /usr/lib/go
+ doins -r "${WORKDIR}"/pkg
+ insinto /usr/lib/go/src/${GO_PN}
+ find "${WORKDIR}"/src/${GO_PN} -name '.git*' -exec \
+ rm -rf {} \; 2>/dev/null
+ insopts -m0644 -p # preserve timestamps for bug 551486
+ doins -r "${WORKDIR}"/src/${GO_PN}/unix
+}
diff --git a/dev-go/go-sys/go-sys-9999.ebuild b/dev-go/go-sys/go-sys-9999.ebuild
new file mode 100644
index 00000000000..c9d1ab6d9cd
--- /dev/null
+++ b/dev-go/go-sys/go-sys-9999.ebuild
@@ -0,0 +1,25 @@
+# Copyright 1999-2015 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI=5
+EGO_PN=golang.org/x/sys/...
+EGO_SRC=golang.org/x/sys
+
+if [[ ${PV} = *9999* ]]; then
+ inherit golang-vcs
+else
+ KEYWORDS="~amd64"
+EGIT_COMMIT="58e109635f5d754f4b3a8a0172db65a52fcab866"
+ SRC_URI="https://github.com/golang/sys/archive/${EGIT_COMMIT}.tar.gz -> ${P}.tar.gz"
+ inherit golang-vcs-snapshot
+fi
+inherit golang-build
+
+DESCRIPTION="Go packages for low-level interaction with the operating system"
+HOMEPAGE="https://godoc.org/golang.org/x/sys"
+LICENSE="BSD"
+SLOT="0/${PV}"
+IUSE=""
+DEPEND=""
+RDEPEND=""
diff --git a/dev-go/go-sys/metadata.xml b/dev-go/go-sys/metadata.xml
new file mode 100644
index 00000000000..242e564fa99
--- /dev/null
+++ b/dev-go/go-sys/metadata.xml
@@ -0,0 +1,10 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<!DOCTYPE pkgmetadata SYSTEM "http://www.gentoo.org/dtd/metadata.dtd">
+<pkgmetadata>
+ <maintainer>
+ <email>zmedico@gentoo.org</email>
+ </maintainer>
+ <upstream>
+ <remote-id type="github">golang/sys</remote-id>
+ </upstream>
+</pkgmetadata>
diff --git a/dev-go/go-text/Manifest b/dev-go/go-text/Manifest
new file mode 100644
index 00000000000..98f67bf0371
--- /dev/null
+++ b/dev-go/go-text/Manifest
@@ -0,0 +1 @@
+DIST go-text-0_pre20150604.tar.gz 3719061 SHA256 71017417b42ea4e68ac77303782c83b627bfbceed041a1467ddc6319c78923ad SHA512 1bbc5bff271243ee31e346a79abf9dd128907cea82fa1eaba11be62780bd1f6b6b76a2ae9476fbe350224f450e75d12efcffd67521b49d6bec44ce2bb085f0d3 WHIRLPOOL e953d99d661537c8838757ae507f2adda3319ef22ce687a39533351201c5bb7206701db4b54f7c0e4d6df803b378a4f587a2015646825b4c3dfad97696baed2e
diff --git a/dev-go/go-text/go-text-0_pre20150604.ebuild b/dev-go/go-text/go-text-0_pre20150604.ebuild
new file mode 100644
index 00000000000..f89899eb35a
--- /dev/null
+++ b/dev-go/go-text/go-text-0_pre20150604.ebuild
@@ -0,0 +1,54 @@
+# Copyright 1999-2015 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI=5
+
+KEYWORDS="~amd64"
+DESCRIPTION="Go text processing support"
+MY_PN=${PN##*-}
+GO_PN=golang.org/x/${MY_PN}
+HOMEPAGE="https://godoc.org/${GO_PN}"
+EGIT_COMMIT="df923bbb63f8ea3a26bb743e2a497abd0ab585f7"
+SRC_URI="https://github.com/golang/${MY_PN}/archive/${EGIT_COMMIT}.tar.gz -> ${P}.tar.gz"
+LICENSE="BSD"
+SLOT="0"
+IUSE=""
+DEPEND=">=dev-lang/go-1.4"
+RDEPEND=""
+S="${WORKDIR}/src/${GO_PN}"
+EGIT_CHECKOUT_DIR="${S}"
+STRIP_MASK="*.a"
+
+src_unpack() {
+ default
+ mkdir -p src/${GO_PN%/*} || die
+ mv ${MY_PN}-${EGIT_COMMIT} src/${GO_PN} || die
+}
+
+src_compile() {
+ # Create a writable GOROOT in order to avoid sandbox violations.
+ GOROOT="${WORKDIR}/goroot"
+ cp -sR "${EPREFIX}"/usr/lib/go "${GOROOT}" || die
+ rm -rf "${GOROOT}/src/${GO_PN}" \
+ "${GOROOT}/pkg/linux_${ARCH}/${GO_PN}" || die
+ GOROOT="${GOROOT}" GOPATH=${WORKDIR} go install -v -x -work ${GO_PN}/... || die
+}
+
+src_test() {
+ # Create go symlink for TestLinking in display/dict_test.go
+ mkdir -p "${GOROOT}/bin"
+ ln -s /usr/bin/go "${GOROOT}/bin/go" || die
+
+ GOROOT="${GOROOT}" GOPATH=${WORKDIR} \
+ go test -x -v ${GO_PN}/... || die $?
+}
+
+src_install() {
+ exeinto /usr/lib/go/bin
+ doexe "${WORKDIR}"/bin/*
+ insinto /usr/lib/go
+ find "${WORKDIR}"/{pkg,src} -name '.git*' -exec rm -rf {} \; 2>/dev/null
+ insopts -m0644 -p # preserve timestamps for bug 551486
+ doins -r "${WORKDIR}"/{pkg,src}
+}
diff --git a/dev-go/go-text/go-text-9999.ebuild b/dev-go/go-text/go-text-9999.ebuild
new file mode 100644
index 00000000000..11e63f09d77
--- /dev/null
+++ b/dev-go/go-text/go-text-9999.ebuild
@@ -0,0 +1,49 @@
+# Copyright 1999-2015 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI=5
+
+EGO_PN=golang.org/x/text/...
+EGO_SRC=golang.org/x/text
+
+if [[ ${PV} = *9999* ]]; then
+ inherit golang-vcs
+else
+ KEYWORDS="~amd64"
+ EGIT_COMMIT="df923bbb63f8ea3a26bb743e2a497abd0ab585f7"
+ SRC_URI="https://github.com/golang/text/archive/${EGIT_COMMIT}.tar.gz -> ${P}.tar.gz"
+ inherit golang-vcs-snapshot
+fi
+inherit golang-build
+
+DESCRIPTION="Go text processing support"
+HOMEPAGE="https://godoc.org/golang.org/x/text"
+LICENSE="BSD"
+SLOT="0/${PV}"
+IUSE=""
+DEPEND=""
+RDEPEND=""
+
+src_test() {
+ # Create a writable GOROOT in order to avoid sandbox violations.
+ cp -sR "$(go env GOROOT)" "${T}/goroot" || die
+ if [ -d "${T}/goroot/src/${EGO_SRC}" ]; then
+ rm -rf "${T}/goroot/src/${EGO_SRC}" || die
+ fi
+ if [ -d "${T}/goroot/pkg/$(go env GOOS)_$(go env GOARCH)/${EGO_SRC}" ]; then
+ rm -rf "${T}/goroot/pkg/$(go env GOOS)_$(go env GOARCH)/${EGO_SRC}" ||
+ die
+ fi
+
+ # Create go symlink for TestLinking in display/dict_test.go
+ mkdir -p "${T}/goroot/bin"
+ ln -s /usr/bin/go "${T}/goroot/bin/go" || die
+
+ GOROOT="${T}/goroot" golang-build_src_test
+}
+
+src_install() {
+ golang-build_src_install
+ dobin bin/*
+}
diff --git a/dev-go/go-text/metadata.xml b/dev-go/go-text/metadata.xml
new file mode 100644
index 00000000000..d8ef7c04ca7
--- /dev/null
+++ b/dev-go/go-text/metadata.xml
@@ -0,0 +1,10 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<!DOCTYPE pkgmetadata SYSTEM "http://www.gentoo.org/dtd/metadata.dtd">
+<pkgmetadata>
+ <maintainer>
+ <email>zmedico@gentoo.org</email>
+ </maintainer>
+ <upstream>
+ <remote-id type="github">golang/text</remote-id>
+ </upstream>
+</pkgmetadata>
diff --git a/dev-go/go-tools/Manifest b/dev-go/go-tools/Manifest
new file mode 100644
index 00000000000..5a0a1c192d9
--- /dev/null
+++ b/dev-go/go-tools/Manifest
@@ -0,0 +1,2 @@
+DIST go-favicon.ico 1150 SHA256 d76ca702a6d81e20ddd31c8c5a4368130e7c68d990600316f6f1c9509bd38ba7 SHA512 194c4b3c360321a10f714b6755d9155de6129682b4070d19b52d0d5706fcbd1d244ea38c33fd77fe1dec85b3e39720dd0a62f5b126803036fbc8337a9d72fea6 WHIRLPOOL f55a84a28812bffd1fa38e098e6ba7d757bdefc0e20c3d8ef767fb1bc7d6e2cfbb8d1ae0593e81cce17c27f60e6aacf094e6c67b1f592c0546090feab9d3830f
+DIST go-tools-0_pre20150606.tar.gz 1625903 SHA256 d121fc152648283413bc0596a55edc229796a7640d2ba6e1fd31c4fc316bb32c SHA512 68904e9799f80c77b1ccda2483eea4dcb19825aaf94355f967d1b0c3547ebf85772c0e92d9b5ba2e492a8af1b4cd07037d121add3c42760d15ca41c05d1161ab WHIRLPOOL 2e5e51112b4ddf2f391c8131e0b84e4c73ddcfcedc46ee934700b45c9cac5c2ee6a4984c02fa80c2207bd39d6b903a68c72cddec0fabcdd14ec2c6a4c7c7f727
diff --git a/dev-go/go-tools/go-tools-0_pre20150606.ebuild b/dev-go/go-tools/go-tools-0_pre20150606.ebuild
new file mode 100644
index 00000000000..41cb121bba9
--- /dev/null
+++ b/dev-go/go-tools/go-tools-0_pre20150606.ebuild
@@ -0,0 +1,99 @@
+# Copyright 1999-2015 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI=5
+
+KEYWORDS="~amd64"
+DESCRIPTION="Go Tools"
+MY_PN=${PN##*-}
+GO_PN=golang.org/x/${MY_PN}
+HOMEPAGE="https://godoc.org/${GO_PN}"
+EGIT_COMMIT="ac303766f5f240c1796eeea3dc9bf34f1261aa35"
+SRC_URI="https://github.com/golang/${MY_PN}/archive/${EGIT_COMMIT}.tar.gz -> ${P}.tar.gz
+ http://golang.org/favicon.ico -> go-favicon.ico"
+LICENSE="BSD"
+SLOT="0"
+IUSE=""
+DEPEND=">=dev-lang/go-1.4
+ dev-go/go-net"
+RDEPEND=""
+S="${WORKDIR}/src/${GO_PN}"
+EGIT_CHECKOUT_DIR="${S}"
+STRIP_MASK="*.a"
+
+src_unpack() {
+ default
+ mkdir -p src/${GO_PN%/*} || die
+ mv ${MY_PN}-${EGIT_COMMIT} src/${GO_PN} || die
+ cp "${DISTDIR}"/go-favicon.ico "${S}"/godoc/static/favicon.ico || die
+}
+
+src_prepare() {
+ # disable broken tests
+ sed -e 's:TestWeb(:_\0:' -i cmd/godoc/godoc_test.go || die
+ sed -e 's:TestVet(:_\0:' -i cmd/vet/vet_test.go || die
+ sed -e 's:TestImport(:_\0:' -i go/gcimporter/gcimporter_test.go || die
+ sed -e 's:TestImportStdLib(:_\0:' -i go/importer/import_test.go || die
+ sed -e 's:TestStdlib(:_\0:' -i go/loader/stdlib_test.go || die
+ sed -e 's:TestStdlib(:_\0:' -i go/ssa/stdlib_test.go || die
+ sed -e 's:TestGorootTest(:_\0:' \
+ -e 's:TestFoo(:_\0:' \
+ -e 's:TestTestmainPackage(:_\0:' \
+ -i go/ssa/interp/interp_test.go || die
+ sed -e 's:TestBar(:_\0:' \
+ -e 's:TestFoo(:_\0:' -i go/ssa/interp/testdata/a_test.go || die
+ sed -e 's:TestCheck(:_\0:' -i go/types/check_test.go || die
+ sed -e 's:TestStdlib(:_\0:' \
+ -e 's:TestStdFixed(:_\0:' \
+ -e 's:TestStdKen(:_\0:' -i go/types/stdlib_test.go || die
+ sed -e 's:TestRepoRootForImportPath(:_\0:' -i go/vcs/vcs_test.go || die
+ sed -e 's:TestStdlib(:_\0:' -i refactor/lexical/lexical_test.go || die
+
+ # Add favicon to the godoc web interface (bug 551030)
+ sed -e 's:"example.html",:\0\n\t"favicon.ico",:' -i godoc/static/makestatic.go || die
+ sed -e 's:<link type="text/css":<link rel="icon" type="image/png" href="/lib/godoc/favicon.ico">\n\0:' -i \
+ godoc/static/godoc.html || die
+}
+
+src_compile() {
+ # Create a writable GOROOT in order to avoid sandbox violations.
+ GOROOT="${WORKDIR}/goroot"
+ cp -sR "${EPREFIX}"/usr/lib/go "${GOROOT}" || die
+ rm -rf "${GOROOT}/src/${GO_PN}" \
+ "${GOROOT}/pkg/linux_${ARCH}/${GO_PN}" || die
+
+ # Generate static.go with favicon included
+ pushd godoc/static >/dev/null
+ GOROOT="${GOROOT}" GOPATH=${WORKDIR} go run makestatic.go || die
+ popd >/dev/null
+
+ GOROOT="${GOROOT}" GOPATH=${WORKDIR} go install -v -x -work ${GO_PN}/... || die
+}
+
+src_test() {
+ GOROOT="${GOROOT}" GOPATH=${WORKDIR} \
+ go test -x -v ${GO_PN}/... || die $?
+}
+
+src_install() {
+ local x
+ exeinto /usr/lib/go/bin
+ doexe "${WORKDIR}"/bin/*
+
+ # godoc ends up in ${GOROOT}/bin
+ dodir /usr/bin
+ while read -r -d '' x; do
+ doexe "${x}"
+ ln "${ED}"usr/{lib/go/bin,bin}/${x##*/} || die
+ done < <(find "${GOROOT}/bin" -type f -print0)
+
+ # cover and vet end up in ${GOROOT}/pkg/tool/linux_amd64
+ exeinto /usr/lib/go/pkg/tool/linux_amd64
+ find "${GOROOT}/pkg/tool/linux_amd64" -type f -exec doexe {} \;
+
+ insinto /usr/lib/go
+ find "${WORKDIR}"/{pkg,src} -name '.git*' -exec rm -rf {} \; 2>/dev/null
+ insopts -m0644 -p # preserve timestamps for bug 551486
+ doins -r "${WORKDIR}"/{pkg,src}
+}
diff --git a/dev-go/go-tools/go-tools-9999.ebuild b/dev-go/go-tools/go-tools-9999.ebuild
new file mode 100644
index 00000000000..3e1bc873aed
--- /dev/null
+++ b/dev-go/go-tools/go-tools-9999.ebuild
@@ -0,0 +1,90 @@
+# Copyright 1999-2015 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI=5
+EGO_PN="golang.org/x/tools/..."
+EGO_SRC="golang.org/x/tools"
+
+if [[ ${PV} = *9999* ]]; then
+ inherit golang-vcs
+else
+ EGIT_COMMIT="ac303766f5f240c1796eeea3dc9bf34f1261aa35"
+ ARCHIVE_URI="https://github.com/golang/tools/archive/${EGIT_COMMIT}.tar.gz -> ${P}.tar.gz"
+ KEYWORDS="~amd64"
+ inherit golang-vcs-snapshot
+fi
+inherit golang-build
+
+DESCRIPTION="Go Tools"
+HOMEPAGE="https://godoc.org/golang.org/x/tools"
+SRC_URI="${ARCHIVE_URI}
+ http://golang.org/favicon.ico -> go-favicon.ico"
+LICENSE="BSD"
+SLOT="0"
+IUSE=""
+DEPEND="dev-go/go-net:="
+RDEPEND=""
+
+src_prepare() {
+ # disable broken tests
+ sed -e 's:TestWeb(:_\0:' \
+ -i src/${EGO_SRC}/cmd/godoc/godoc_test.go || die
+ sed -e 's:TestVet(:_\0:' \
+ -i src/${EGO_SRC}/cmd/vet/vet_test.go || die
+ sed -e 's:TestImport(:_\0:' \
+ -i src/${EGO_SRC}/go/gcimporter/gcimporter_test.go || die
+ sed -e 's:TestImportStdLib(:_\0:' \
+ -i src/${EGO_SRC}/go/importer/import_test.go || die
+ sed -e 's:TestStdlib(:_\0:' \
+ -i src/${EGO_SRC}/go/loader/stdlib_test.go || die
+ sed -e 's:TestStdlib(:_\0:' \
+ -i src/${EGO_SRC}/go/ssa/stdlib_test.go || die
+ sed -e 's:TestGorootTest(:_\0:' \
+ -e 's:TestFoo(:_\0:' \
+ -e 's:TestTestmainPackage(:_\0:' \
+ -i src/${EGO_SRC}/go/ssa/interp/interp_test.go || die
+ sed -e 's:TestBar(:_\0:' \
+ -e 's:TestFoo(:_\0:' \
+ -i src/${EGO_SRC}/go/ssa/interp/testdata/a_test.go || die
+ sed -e 's:TestCheck(:_\0:' \
+ -i src/${EGO_SRC}/go/types/check_test.go || die
+ sed -e 's:TestStdlib(:_\0:' \
+ -e 's:TestStdFixed(:_\0:' \
+ -e 's:TestStdKen(:_\0:' \
+ -i src/${EGO_SRC}/go/types/stdlib_test.go || die
+ sed -e 's:TestRepoRootForImportPath(:_\0:' \
+ -i src/${EGO_SRC}/go/vcs/vcs_test.go || die
+ sed -e 's:TestStdlib(:_\0:' \
+ -i src/${EGO_SRC}/refactor/lexical/lexical_test.go || die
+
+ # Add favicon to the godoc web interface (bug 551030)
+ cp "${DISTDIR}"/go-favicon.ico "src/${EGO_SRC}/godoc/static/favicon.ico" ||
+ die
+ sed -e 's:"example.html",:\0\n\t"favicon.ico",:' \
+ -i src/${EGO_SRC}/godoc/static/makestatic.go || die
+ sed -e 's:<link type="text/css":<link rel="icon" type="image/png" href="/lib/godoc/favicon.ico">\n\0:' \
+ -i src/${EGO_SRC}/godoc/static/godoc.html || die
+}
+
+src_compile() {
+ # Generate static.go with favicon included
+ pushd src/golang.org/x/tools/godoc/static >/dev/null || die
+ go run makestatic.go || die
+ popd >/dev/null
+
+ golang-build_src_compile
+}
+
+src_install() {
+ # Create a writable GOROOT in order to avoid sandbox violations.
+ cp -sR "$(go env GOROOT)" "${T}/goroot" || die
+
+ GOROOT="${T}/goroot" golang-build_src_install
+ dobin bin/* "${T}/goroot/bin/godoc"
+
+ exeinto "$(go env GOTOOLDIR)"
+ exeopts -m0755 -p # preserve timestamps for bug 551486
+ doexe "${T}/goroot/pkg/tool/$(go env GOOS)_$(go env GOARCH)/cover"
+ doexe "${T}/goroot/pkg/tool/$(go env GOOS)_$(go env GOARCH)/vet"
+}
diff --git a/dev-go/go-tools/metadata.xml b/dev-go/go-tools/metadata.xml
new file mode 100644
index 00000000000..84be411994f
--- /dev/null
+++ b/dev-go/go-tools/metadata.xml
@@ -0,0 +1,10 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<!DOCTYPE pkgmetadata SYSTEM "http://www.gentoo.org/dtd/metadata.dtd">
+<pkgmetadata>
+ <maintainer>
+ <email>zmedico@gentoo.org</email>
+ </maintainer>
+ <upstream>
+ <remote-id type="github">golang/tools</remote-id>
+ </upstream>
+</pkgmetadata>
diff --git a/dev-go/godep/Manifest b/dev-go/godep/Manifest
new file mode 100644
index 00000000000..655dd6dc300
--- /dev/null
+++ b/dev-go/godep/Manifest
@@ -0,0 +1,2 @@
+DIST go-fs-2788f0dbd16903de03cb8186e5c7d97b69ad387b.tar.gz 4366 SHA256 5b8ebbacf88942136f42ccef13822c2d45f3304520be0aabc40309dcb931c707 SHA512 1d1687513caf338a82e5b15624fe7b3702fd42326c433cbf4100551a2f5aa587814201166946739a2dadfecf861661b0ed31934e13bfbe3aac6221ff2624733f WHIRLPOOL 3c38f344d232daf7109449bed55158c95f4657d9067d3623a05abadecfed274033f65375c715518c4617c30985519e735440474fb984a654739c081792c19324
+DIST godep-0_p20150520.tar.gz 20433 SHA256 3c461f14db4a65a1fa72ad3e4444986d25e75b99461b978452e65e9b751fb25d SHA512 f26bad4094ee5d35bc2cb4518094b113a84c55d196bdb59d3ffc48715151f64136cc32103bb624c28d72db97bca3aff94af71922b5daf32285421e85ee164dfd WHIRLPOOL 2a03b9c7724715a06228ac216a578974f11646f553b3e5a0c763907b673c872ac536c733f1230a15ca3603c18346a24c38ce10fe66fb779011a9a02e0f95ec3c
diff --git a/dev-go/godep/godep-0_p20150520-r1.ebuild b/dev-go/godep/godep-0_p20150520-r1.ebuild
new file mode 100644
index 00000000000..68b03ab0871
--- /dev/null
+++ b/dev-go/godep/godep-0_p20150520-r1.ebuild
@@ -0,0 +1,47 @@
+# Copyright 1999-2015 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI=5
+
+KEYWORDS="~amd64"
+DESCRIPTION="dependency tool for go"
+GO_PN=github.com/tools/${PN}
+HOMEPAGE="https://${GO_PN}"
+EGIT_COMMIT="98f5c2e8906df47a9eaafebbcd406adde2c8d0a7"
+SRC_URI="https://${GO_PN}/archive/${EGIT_COMMIT}.tar.gz -> ${P}.tar.gz
+https://github.com/kr/fs/archive/2788f0dbd16903de03cb8186e5c7d97b69ad387b.tar.gz -> go-fs-2788f0dbd16903de03cb8186e5c7d97b69ad387b.tar.gz"
+LICENSE="BSD"
+SLOT="0"
+IUSE=""
+DEPEND=">=dev-lang/go-1.4:="
+RDEPEND=""
+S="${WORKDIR}/src/${GO_PN}"
+STRIP_MASK="*.a"
+
+src_unpack() {
+ default
+ mkdir -p src/${GO_PN%/*} || die
+ mv ${PN}-${EGIT_COMMIT} src/${GO_PN} || die
+ mkdir -p src/github.com/kr || die
+ mv fs-2788f0dbd16903de03cb8186e5c7d97b69ad387b src/github.com/kr/fs || die
+}
+
+src_prepare() {
+ # disable broken tests
+ sed -e 's:TestSave(:_\0:' -i save_test.go || die
+ sed -e 's:TestUpdate(:_\0:' -i update_test.go || die
+}
+
+src_compile() {
+ GOPATH=${WORKDIR} go install -v -x -work ${GO_PN}/... || die
+}
+
+src_test() {
+ GOPATH=${WORKDIR} \
+ go test -x -v ${GO_PN}/... || die $?
+}
+
+src_install() {
+ dobin "${WORKDIR}"/bin/*
+}
diff --git a/dev-go/godep/godep-0_p20150520.ebuild b/dev-go/godep/godep-0_p20150520.ebuild
new file mode 100644
index 00000000000..9236e99e56b
--- /dev/null
+++ b/dev-go/godep/godep-0_p20150520.ebuild
@@ -0,0 +1,47 @@
+# Copyright 1999-2015 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI=5
+
+KEYWORDS="~amd64"
+DESCRIPTION="dependency tool for go"
+GO_PN=github.com/tools/${PN}
+HOMEPAGE="https://${GO_PN}"
+EGIT_COMMIT="98f5c2e8906df47a9eaafebbcd406adde2c8d0a7"
+SRC_URI="https://${GO_PN}/archive/${EGIT_COMMIT}.tar.gz -> ${P}.tar.gz
+https://github.com/kr/fs/archive/2788f0dbd16903de03cb8186e5c7d97b69ad387b.tar.gz -> go-fs-2788f0dbd16903de03cb8186e5c7d97b69ad387b.tar.gz"
+LICENSE="BSD"
+SLOT="0"
+IUSE=""
+DEPEND=">=dev-lang/go-1.4"
+RDEPEND=""
+S="${WORKDIR}/src/${GO_PN}"
+STRIP_MASK="*.a"
+
+src_unpack() {
+ default
+ mkdir -p src/${GO_PN%/*} || die
+ mv ${PN}-${EGIT_COMMIT} src/${GO_PN} || die
+ mkdir -p src/github.com/kr || die
+ mv fs-2788f0dbd16903de03cb8186e5c7d97b69ad387b src/github.com/kr/fs || die
+}
+
+src_prepare() {
+ # disable broken tests
+ sed -e 's:TestSave(:_\0:' -i save_test.go || die
+ sed -e 's:TestUpdate(:_\0:' -i update_test.go || die
+}
+
+src_compile() {
+ GOPATH=${WORKDIR} go install -v -x -work ${GO_PN}/... || die
+}
+
+src_test() {
+ GOPATH=${WORKDIR} \
+ go test -x -v ${GO_PN}/... || die $?
+}
+
+src_install() {
+ dobin "${WORKDIR}"/bin/*
+}
diff --git a/dev-go/godep/metadata.xml b/dev-go/godep/metadata.xml
new file mode 100644
index 00000000000..5171780cc31
--- /dev/null
+++ b/dev-go/godep/metadata.xml
@@ -0,0 +1,10 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<!DOCTYPE pkgmetadata SYSTEM "http://www.gentoo.org/dtd/metadata.dtd">
+<pkgmetadata>
+ <maintainer>
+ <email>zmedico@gentoo.org</email>
+ </maintainer>
+ <upstream>
+ <remote-id type="github">tools/godep</remote-id>
+ </upstream>
+</pkgmetadata>
diff --git a/dev-go/metadata.xml b/dev-go/metadata.xml
new file mode 100644
index 00000000000..a764ff2b627
--- /dev/null
+++ b/dev-go/metadata.xml
@@ -0,0 +1,39 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<!DOCTYPE catmetadata SYSTEM "http://www.gentoo.org/dtd/metadata.dtd">
+<catmetadata>
+ <longdescription lang="en">
+ The dev-go category contains libraries and utilities relevant to the
+ Go programming language.
+ </longdescription>
+ <longdescription lang="de">
+ Die Kategorie dev-go enthält Bibliotheken und Werkzeuge für die
+ Programmiersprache Go.
+ </longdescription>
+ <longdescription lang="es">
+ La categoría dev-go contiene librerias y utilidades referentes al
+ lenguaje de programación Go.
+ </longdescription>
+ <longdescription lang="ja">
+ dev-go カテゴリーにはGoプログラミング言語に関連したライブラリーと
+ ユーティリティが含まれます。
+ </longdescription>
+ <longdescription lang="nl">
+ De dev-go categorie bevat bibliotheken en hulpmiddelen voor het gebruik van
+ de Go programmeertaal.
+ </longdescription>
+ <longdescription lang="vi">
+ Nhóm dev-go chứa các thư viện và tiện ích liên quan
+ đến ngôn ngữ lập trình Go.
+ </longdescription>
+ <longdescription lang="it">
+ La categoria dev-go contiene librerie ed utilità per il linguaggio Go.
+ </longdescription>
+ <longdescription lang="pt">
+ A categoria dev-go contém bibliotecas e utilitários relevantes
+ para a linguagem de programação Go.
+ </longdescription>
+ <longdescription lang="pl">
+ Kategoria dev-go zawiera biblioteki i narzędzia związane z językiem
+ programowania Go.
+ </longdescription>
+</catmetadata>
diff --git a/dev-go/sarama/Manifest b/dev-go/sarama/Manifest
new file mode 100644
index 00000000000..5f140414597
--- /dev/null
+++ b/dev-go/sarama/Manifest
@@ -0,0 +1 @@
+DIST sarama-1.4.3.tar.gz 86096 SHA256 2e9ad67fd128b139e4a55532f07dff21d9705884ac6063b6f494a3b6db728688 SHA512 6117d08b1f7dc7feebacee60a3672d24ec909417a40dd686fdba9740304522c74d59f866ab37a90fdbd137bb491175d2cdf2694129f2da5d8c10dff97efb062b WHIRLPOOL a829d60790820d90179e9b30dcff1e4eaab5caecdaba072945a7223a8a2697ebb40abd4a7179fff50cd1598ac6b85adeb74c7d9c2464ead9acc906913b24d0c9
diff --git a/dev-go/sarama/metadata.xml b/dev-go/sarama/metadata.xml
new file mode 100644
index 00000000000..061f4c09127
--- /dev/null
+++ b/dev-go/sarama/metadata.xml
@@ -0,0 +1,10 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<!DOCTYPE pkgmetadata SYSTEM "http://www.gentoo.org/dtd/metadata.dtd">
+<pkgmetadata>
+ <maintainer>
+ <email>zmedico@gentoo.org</email>
+ </maintainer>
+ <upstream>
+ <remote-id type="github">Shopify/sarama</remote-id>
+ </upstream>
+</pkgmetadata>
diff --git a/dev-go/sarama/sarama-1.4.3.ebuild b/dev-go/sarama/sarama-1.4.3.ebuild
new file mode 100644
index 00000000000..3b5a71914bf
--- /dev/null
+++ b/dev-go/sarama/sarama-1.4.3.ebuild
@@ -0,0 +1,68 @@
+# Copyright 1999-2015 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI=5
+
+EGO_SRC=github.com/Shopify/${PN}
+EGO_PN=${EGO_SRC}/...
+
+if [[ ${PV} = *9999* ]]; then
+ inherit golang-vcs
+else
+ KEYWORDS="~amd64"
+ SRC_URI="https://${EGO_SRC}/archive/v${PV}.tar.gz -> ${P}.tar.gz"
+fi
+inherit golang-build
+
+DESCRIPTION="Sarama is a Go library for Apache Kafka"
+HOMEPAGE="https://${EGO_SRC}"
+LICENSE="MIT"
+SLOT="0/${PV}"
+IUSE="test"
+DEPEND="dev-go/go-eapache-queue
+ dev-go/go-resiliency
+ dev-go/go-snappy
+ test? ( dev-go/go-spew )"
+RDEPEND=""
+
+if [[ ${PV} != *9999* ]]; then
+src_unpack() {
+ local f
+
+ for f in ${A}
+ do
+ case "${f}" in
+ *.tar|*.tar.gz|*.tar.bz2|*.tar.xz)
+ local destdir=${WORKDIR}/${P}/src/${EGO_SRC}
+
+ debug-print "${FUNCNAME}: unpacking ${f} to ${destdir}"
+
+ # XXX: check whether the directory structure inside is
+ # fine? i.e. if the tarball has actually a parent dir.
+ mkdir -p "${destdir}" || die
+ tar -C "${destdir}" -x --strip-components 1 \
+ -f "${DISTDIR}/${f}" || die
+ ;;
+ *)
+ debug-print "${FUNCNAME}: falling back to unpack for ${f}"
+
+ # fall back to the default method
+ unpack "${f}"
+ ;;
+ esac
+ done
+}
+fi
+
+src_prepare() {
+ # avoid toxiproxy dependency
+ rm src/${EGO_SRC}/functional*_test.go || die
+}
+
+src_install() {
+ rm -rf src/${EGO_SRC}/.git* || die
+ golang-build_src_install
+ rm bin/http_server || die
+ dobin bin/*
+}
diff --git a/dev-go/sarama/sarama-9999.ebuild b/dev-go/sarama/sarama-9999.ebuild
new file mode 100644
index 00000000000..c4c8ebff92b
--- /dev/null
+++ b/dev-go/sarama/sarama-9999.ebuild
@@ -0,0 +1,39 @@
+# Copyright 1999-2015 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI=5
+
+EGO_SRC=github.com/Shopify/${PN}
+EGO_PN=${EGO_SRC}/...
+
+if [[ ${PV} = *9999* ]]; then
+ inherit golang-vcs
+else
+ KEYWORDS="~amd64"
+ SRC_URI="https://${EGO_SRC}/archive/v${PV}.tar.gz -> ${P}.tar.gz"
+ inherit golang-vcs-snapshot
+fi
+inherit golang-build
+
+DESCRIPTION="Sarama is a Go library for Apache Kafka"
+HOMEPAGE="https://${EGO_SRC}"
+LICENSE="MIT"
+SLOT="0/${PV}"
+IUSE="test"
+DEPEND="dev-go/go-eapache-queue
+ dev-go/go-resiliency
+ dev-go/go-snappy
+ test? ( dev-go/go-spew )"
+RDEPEND=""
+
+src_prepare() {
+ # avoid toxiproxy dependency
+ rm src/${EGO_SRC}/functional*_test.go || die
+}
+
+src_install() {
+ golang-build_src_install
+ rm bin/http_server || die
+ dobin bin/*
+}